using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SampleClient
{
    public partial class FormOptions : Form
    {
        public JobFile Job;
        public Robot CurrentRobot;
        
        public FormOptions(Robot robotIn, JobFile jobIn)
        {
            Job = jobIn;
            CurrentRobot = robotIn;
            InitializeComponent();
        }

        private void textBox2_TextChanged(object sender, EventArgs e)
        {

        }

        private void checkBoxTestRecord_CheckedChanged(object sender, EventArgs e)
        {

        }

        private void FormOptions_Load(object sender, EventArgs e)
        {
            foreach(string s in Enum.GetNames(typeof(PrintQualityValues)))
                this.comboBoxQuality.Items.Add(s);

            this.comboBoxQuality.SelectedIndex = Convert.ToInt32(Job.PrintQuality);

            foreach (string s in Enum.GetNames(typeof(DataImageType)))
                this.comboBoxDataType.Items.Add(s);
            foreach (string s in Enum.GetNames(typeof(ImageType)))
                this.comboBoxImageType.Items.Add(s);

            this.comboBoxDiscType.Items.Add("Not Using");
            this.comboBoxDiscType.Items.Add("CDR");
            this.comboBoxDiscType.Items.Add("DVDR");

            this.comboBoxDiscType.SelectedIndex = (int)Job.DiscType;

            this.comboBoxImageType.SelectedIndex = Convert.ToInt32(Job.ImgType);
            this.comboBoxDataType.SelectedIndex = Convert.ToInt32(Job.DataType);

            this.checkBoxCloseDisc.Checked = Job.CloseDisc;
            this.checkBoxDeleteFiles.Checked = Job.DeleteFiles;
            this.checkBoxPremasterData.Checked = Job.PreMasterData;
            this.checkBoxRejectIfNotBlank.Checked = Job.RejectIfNotBlank;
            this.checkBoxTestRecord.Checked = Job.TestRecord;
            this.checkBoxVerify.Checked = Job.Verify;
            this.numericUpDownBurnSpeed.Value = Job.BurnSpeed;

            this.checkBoxManLoad.Checked = Job.ManLoadUnload;
            
            this.checkBoxSetPrinterSettings.Checked = Job.SetPrinterSettings;
            this.checkBoxPrintReject.Checked = Job.PrintReject;

            this.checkBoxSetPrinterSettings.Checked = Job.SetPrinterSettings;
            this.numericUpDownInnerDiam.Value = Job.PrintID;
            this.numericUpDownOuterMargin.Value = Job.PrintOM;
            this.comboBoxQuality.SelectedIndex = (int)Job.PrintQuality;

            this.checkBoxCheckDisc.Checked = Job.CheckDisc;
            this.textBoxCheckApplication.Text = Job.CheckAppIDOnDisc;
            this.textBoxCheckFile.Text = Job.CheckFileOnDisc;
            this.textBoxCheckPreparer.Text = Job.CheckPreparerIDOnDisc;
            this.textBoxCheckPublisher.Text = Job.CheckPubIDOnDisc;
            this.textBoxCheckSystem.Text = Job.CheckSystemIDOnDisc;
            this.textBoxCheckVolume.Text = Job.CheckVolumeIDOnDisc;
 
            this.checkBoxSetPVD.Checked = Job.SetPVD;
            this.textBoxPVDApplication.Text = Job.PVDApplicationID;
            this.textBoxPVDPreparer.Text = Job.PVDPreparerID;
            this.textBoxPVDPublisher.Text = Job.PVDPublisherID;
            this.textBoxPVDSystem.Text = Job.PVDSystemID;
        }

        private void checkBoxSetPVD_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBoxSetPVD.Checked)
                this.groupBoxPVD.Enabled = true;
            else
                this.groupBoxPVD.Enabled = false;
        }

        private void checkBoxCheckDisc_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBoxCheckDisc.Checked)
                this.groupBoxCheckDisc.Enabled = true;
            else
                this.groupBoxCheckDisc.Enabled = false;
        }

        private void buttonSet_Click(object sender, EventArgs e)
        {
            Job.CloseDisc = this.checkBoxCloseDisc.Checked;
            Job.DeleteFiles = this.checkBoxDeleteFiles.Checked;
            Job.PreMasterData = this.checkBoxPremasterData.Checked;
            Job.RejectIfNotBlank = this.checkBoxRejectIfNotBlank.Checked;
            Job.TestRecord = this.checkBoxTestRecord.Checked;
            Job.Verify = this.checkBoxVerify.Checked;
            Job.BurnSpeed = (uint)this.numericUpDownBurnSpeed.Value;
            Job.DiscType = (uint)comboBoxDiscType.SelectedIndex;
            Job.PrintReject = checkBoxPrintReject.Checked;
            

            Job.SetPVD = checkBoxSetPVD.Checked;
            Job.PVDApplicationID = this.textBoxPVDApplication.Text;
            Job.PVDPreparerID = this.textBoxPVDPreparer.Text;
            Job.PVDPublisherID = this.textBoxPVDPublisher.Text;
            Job.PVDSystemID = this.textBoxPVDSystem.Text;


            Job.CheckDisc = checkBoxCheckDisc.Checked;
            Job.CheckAppIDOnDisc = this.textBoxCheckApplication.Text;
            Job.CheckFileOnDisc = this.textBoxCheckFile.Text;
            Job.CheckPreparerIDOnDisc = this.textBoxCheckPreparer.Text;
            Job.CheckPubIDOnDisc = this.textBoxCheckPublisher.Text;
            Job.CheckSystemIDOnDisc = this.textBoxCheckSystem.Text;
            Job.CheckVolumeIDOnDisc = this.textBoxCheckVolume.Text;

            Job.SetPrinterSettings = this.checkBoxSetPrinterSettings.Checked;
            Job.ManLoadUnload = this.checkBoxManLoad.Checked;
            Job.PrintID = (uint)this.numericUpDownInnerDiam.Value;
            Job.PrintOM = (uint)this.numericUpDownOuterMargin.Value;
            Job.PrintQuality = (PrintQualityValues)Enum.GetValues(typeof(PrintQualityValues)).GetValue(this.comboBoxQuality.SelectedIndex);

            Job.DataMode2 = this.checkBoxMode2.Checked;
            Job.DataSAO = this.checkBoxSAO.Checked;
            Job.DataSetNow = this.checkBoxSETNOW.Checked;
            Job.DataType = (DataImageType) this.comboBoxDataType.SelectedIndex;
            Job.ImgType = (ImageType)this.comboBoxImageType.SelectedIndex;

            this.Close();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void checkBoxSetPrinterSettings_CheckedChanged(object sender, EventArgs e)
        {
            if (this.checkBoxSetPrinterSettings.Checked)
                this.panelPrinterSettings.Visible = true;
            else
                this.panelPrinterSettings.Visible = false;
        }
    }
}