using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PTRobotUserControl
{
    public partial class FormMergeData : Form
    {
        public string textField1;
        public string textField2;
        public string textField3;
        public string textField4;
        public string picture;
        public bool mergeFiledsSet;
        
        public FormMergeData()
        {
            textField1 = "";
            textField2 = "";
            textField3 = "";
            textField4 = "";
            picture = "";
            mergeFiledsSet = false;
            
            InitializeComponent();
        }

        private void buttonPictureBrowse_Click(object sender, EventArgs e)
        {
            this.openFileDialog1.ShowDialog();
            if (!String.IsNullOrEmpty(this.openFileDialog1.FileName))
            {
                this.textBoxPicture.Text = this.openFileDialog1.FileName;
            }
        }

        private void FormMergeData_Load(object sender, EventArgs e)
        {
            this.textBox1.Text = textField1;
            this.textBox2.Text = textField2;
            this.textBox3.Text = textField3;
            this.textBox4.Text = textField4;
            this.textBoxPicture.Text = picture;
            this.checkBoxUseMergeFields.Checked = this.mergeFiledsSet;
        }

        private void buttonSet_Click(object sender, EventArgs e)
        {
            this.mergeFiledsSet = this.checkBoxUseMergeFields.Checked;
            textField1=this.textBox1.Text;
            textField2=this.textBox2.Text;
            textField3=this.textBox3.Text;
            textField4=this.textBox4.Text;
            picture=this.textBoxPicture.Text;
            this.Close();
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void checkBoxUseMergeFields_CheckedChanged(object sender, EventArgs e)
        {
            if (checkBoxUseMergeFields.Checked)
            {
                this.textBox1.Enabled = true;
                this.textBox2.Enabled = true;
                this.textBox3.Enabled = true;
                this.textBox4.Enabled = true;
                this.textBoxPicture.Enabled = true;
            }
            else
            {
                this.textBox1.Enabled = false;
                this.textBox2.Enabled = false;
                this.textBox3.Enabled = false;
                this.textBox4.Enabled = false;
                this.textBoxPicture.Enabled = false;
            }
        }

    }
}